DIRNAME(1)

BEZEICHNUNG
dirname - letzte Komponente des Dateinamens entfernen

ÜBERSICHT
dirname OPTION NAME…

BESCHREIBUNG

Gibt jeden NAME mit der letzten Komponente aus, die keinen Schrägstrich enthält und entfernt nachfolgende Schrägstriche; enthält der NAME kein »/«, wird ».« ausgegeben (entspricht dem aktuellen Verzeichnis).

-z, --zero
    Jede Ausgabezeile mit einem Nullbyte statt des Zeilenumbruchs abschließen

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

BEISPIELE

dirname /usr/bin/
    -> "/usr"

dirname dir1/str dir2/str
    -> »dir1«, gefolgt von »dir2«

dirname stdio.h
    -> "."

AUTOR
Geschrieben von David MacKenzie und Jim Meyering.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

SIEHE AUCH
basename(1), readlink(1)

Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/dirname>
oder lokal verfügbar mit: info '(coreutils) dirname invocation'

Paketiert durch Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Lizenz GPLv3+: GNU GPL Version 3 oder neuer <https://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben.
Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.